module.exports = function (target) {
  var sources = [].slice.call(arguments, 1);
  sources.forEach(function (source) {
    for (var prop in source) {
      if (!source.hasOwnProperty( prop )) {
        continue;
      }
      target[prop] = source[prop];
    }
  });
  return target;
};
