const https = require('https');

var Access = function () {};

Access.prototype.test = function () {
  return this.https('https://gitlab.design.ru/');
};

Access.prototype.https = function (url) {
  return new Promise(function (resolve, reject) {
    return https.get(url).on('response', function (response) {
      if (response.statusCode === 200 || response.statusCode === 302) {
        resolve(response.statusCode);
      }
    }.bind(this)).on('error', function () {
        reject();
    });
  }.bind(this)).catch(function () {
    throw(new Error('access'));
  });
};

module.exports = new Access();
